Trigger Bulk Experiences

Prev Next
Post
/messaging/client/{client_id}/journey_trigger

This API is used to batch up a list of Journey Trigger requests. Each request in the list can be for a different journey, trigger, Customer or Patient combination. This API limits the batch size to 100. If more than 100 requests are submitted, the API call will return with a 400 BAD REQUEST error.

Header parameters
xx-relay-api-key
stringRequired

Contains the API key needed.

Path parameters
client_id
stringRequired

Client ID

Minimum1
Body parameters

A batch of trigger ID/CCID combinations to send multiple Relay experiences.

Expand All
object
batch
Array of object
object

A array of unique trigger_id and ccid combinations to which to send Relay experiences.

journey_id
string

If this optional property is set, the system will verify that the trigger_id is contained within the specified journey and if it is not an error will be returned.

Max length100
Example27b88f6f-2261-4dfc-bf04-1bf8309857a9
trigger_id
string

The unique trigger ID to be executed. Identifies the journey trigger to be launched. The Relay system generates a unique trigger_id when a user creates a journey in the CX Builder. The auto-generated trigger_id looks like (13425ae9-7ce7-4109-beeb-b0970894bbb2). Additionally, a client can create a more user friendly trigger_id, like (Delivery-Reminder-2), using the CX Builder. This API will accept either option.

Max length100
Example7028cb2e-d62d-4d5f-a285-91d25781ea86
ccid
string

Identifies a unique client Customer or Patient.

Max length100
ExampleCRD-98027-004
asset_id
string

This asset id to override in the message.

Max length100
Example5da610e9e-896r-3ba4-7a13-321c87c7ff6a
client_message_tag
string

This is a arbitrary passthrough property specified by the Client for reporting and tracking by the Client.

Max length100
ExamplecampaignA
input_parameters
object (inputParameters)

This property contains a collection of input properties for the Journey. Input parameters are defined when the Journey is created or updated. Each input property must be prefixed with input_.

input_account_active
string
Max length100
Exampletrue
input_account_funding_date
string
Max length100
Example12/01/2023
powerups_parameters
object (powerups_parameters)

This property contains Power Ups Prefill fields used to prepopulate PowerUps form controls. The represents the field name configured on the PowerUps form and is provided by the Relay Account Team. These fields support all PowerUps control types including Email, Text Fields (Textbox/Textarea), Phone, Dropdown, Radio/Single Choice, Checkbox/Multiple Choice, Number, Spinner, and Scale. Values must comply with the form control type, allowed values, and validation rules configured on the form. For Checkbox/Multiple Choice, separate multiple values with ; (semicolon) and no spaces (e.g., Email;SMS).

_first
string

Power Ups Prefill field for Full Name control - First Name. Replace with the field name provided by the Relay Account Team. Example property name would be fullName_first.

Max length100
ExampleJohn
_last
string

Power Ups Prefill field for Full Name control - Last Name. Replace with the field name provided by the Relay Account Team. Example property name would be fullName_last.

Max length100
ExampleSmith
_line_1
string

Power Ups Prefill field for Address control - Address Line 1. Replace with the field name provided by the Relay Account Team. Example property name would be Address_line_1.

Max length100
Example201 King of Prussia Road
_line_2
string

Power Ups Prefill field for Address control - Address Line 2. Replace with the field name provided by the Relay Account Team. Example property name would be Address_line_2.

Max length100
ExampleSuite 161
_city
string

Power Ups Prefill field for Address control - City. Replace with the field name provided by the Relay Account Team. Example property name would be Address_city.

Max length100
ExampleRadnor
_state
string

Power Ups Prefill field for Address control - State or Province. Replace with the field name provided by the Relay Account Team. Example property name would be Address_state.

Max length2
ExamplePA
_zipcode
string

Power Ups Prefill field for Address control - Postal Code. Replace with the field name provided by the Relay Account Team. Example property name would be Address_zipcode.

Max length10
Example19087
string

Generic Power Ups Prefill field for any supported control type. Replace with the actual field name provided by the Relay Account Team. The value format depends on the control type configured on the form - Email (e.g., bob.jones@example.com), Text/Textbox/Textarea (e.g., Gold, Additional comments here), Phone (numeric, e.g., 2155551234), Dropdown/Radio/Single Choice (display value, e.g., Gold Plan or Yes), Checkbox/Multiple Choice (display values separated by ; with no spaces, e.g., Email;SMS), Number/Spinner (numeric as string, e.g., 3 or 2), Scale (numeric within configured range, e.g., 1 or 5). Values must comply with validation rules configured on the form.

Examplevalue-depends-on-control-type
launched_by
object (launched_by)

This object contains two properties, lb_name and lb_source, which a Client can use to identify their source system that made this REST API call.

lb_name
string

Can be used by clients to determine the specific user if the source system in lb_source is CX portal or if it was system initiated.

Max length255
Exampleuser@company.com
lb_source
string

Can be used by clients to determine whether the source system launching the journey was CX Portal or their own via API call.

Max length255
Examplecompany-system
Responses
200

Successful response

Expand All
object
id
string
Example81a332e3-2fec-4fcd-8d3d-68fe4531466e
recipients
Array of object
object
message
object
status
string
Examplesent
result
object
id
string
Example999f6d96-c2a8-4111-9ff9-6db74c89ca4e
notification
object
results
Array of object
object
channel_addr
string
Example12158372698
channel_type
string
Examplesms
status
string
Exampleok
id
string
Examplefb52e57e-8b27-4626-a2e5-9928cc7ac1cc
status
string
Examplesent
schedule
string
Exampleempty
ccid
string
ExampleCRD-98027-004
trigger_id
string
Example7028cb2e-d62d-4d5f-a285-91d25781ea86
error
string
ExampleCustomer id BAK-11984-007 not found.
400

Invalid request

401

Unauthorized

404

Not Found - The requested resource was not found. Please verify the route parameter.

409

Conflict - Indicates the request could not be processed. A common reason is when attempting to create a new Journey object, but the ID already exists in the system.

500

An unexpected server error occurred. The response body should contain additional information related to the server error. Please retry your request.